### AutomationML Application Programming Signing Service

The **Aml.Engine.Services.Signing** provides methods for the creation and addition of signatures to any CAEX object contained in an  [AutomationML](https://www.automationml.org) document. The signature generation and verification is based on an asymmetric key. The service currently uses an Elliptic Curve Digital **Signature** or ECDSA signature algorithm. AutomationML is a standardized data exchange format, developed to support the data exchange in automation systems engineering. 

A detailed description with examples can be found in the [Wiki](https://github.com/AutomationML/AMLEngine2.1/wiki).
